
# FIXME/TODO: needed BuildRequires 
# Decibel

Summary: K Desktop Environment - Network Applications
Name: kdenetwork
Epoch: 7
Version: 4.0.3
Release: 6%{?dist}

License: GPLv2
Group: Applications/Internet
URL: http://www.kde.org
Source0: ftp://ftp.kde.org/pub/kde/unstable/%{version}/src/%{name}-%{version}.tar.bz2

# upstream patches
# fix segfault in krdc VNC on remote server disconnection (#442127, kde#160728)
Patch100: kdenetwork-4.0.3-krdc-kde#160728.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: avahi-compat-libdns_sd-devel
BuildRequires: boost-devel
BuildRequires: cmake
# TODO
#BuildRequires: decibel-devel
BuildRequires: giflib-devel
BuildRequires: glib2-devel
BuildRequires: kde-filesystem >= 4
%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: kdepimlibs-devel >= %{version}
BuildRequires: kdebase-workspace-devel >= %{version}
BuildRequires: libidn-devel
BuildRequires: libvncserver-devel
BuildRequires: libxslt-devel libxml2-devel
BuildRequires: openldap-devel
BuildRequires: openslp-devel
BuildRequires: pcre-devel
BuildRequires: qca2-devel
BuildRequires: qimageblitz-devel
BuildRequires: sqlite-devel
# omit for now, save pulling in xmms-lib, gtk+ lib stack
#BuildRequires: xmms-devel 


# FIXME/TODO: are there other explicit Requires?
Requires(post): xdg-utils
Requires(postun): xdg-utils
Requires: kdelibs4 >= %{version}
Requires: kdepimlibs >= %{version}
Requires: %{name}-libs = %{?epoch:%{epoch}:}%{version}-%{release}

# kopete/yahoo
Requires(hint): jasper
# kopete/jabber
Requires(hint): qca-ossl
## kppp
Requires: ppp
## krdc
Requires(hint): rdesktop

Obsoletes: %{name}-extras < %{?epoch:%{epoch}:}%{version}-%{release}

# FIXME/TODO: Taken from 3.5.8. review needed
%description
Networking applications, including:
* kget: downloader manager
* kio_lan: lan browsing kio slave
* knewsticker: RDF newsticker applet
* kopete: chat client
* kppp: dialer and front end for pppd
* krdc: a client for Desktop Sharing and other VNC servers
* krfb: Desktop Sharing server, allow others to access your desktop via VNC

%package libs
Summary: Runtime libraries for %{name}
Group:   System Environment/Libraries
%description libs
%{summary}.

%package devel
Group:    Development/Libraries
Summary:  Development files for %{name} 
Requires: %{name}-libs = %{epoch}:%{version}-%{release}
Requires: kdelibs4-devel
%description devel
%{summary}.


%prep
%setup -q
%patch100 -p0 -b .kde#160728

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}


%clean
rm -rf %{buildroot}


%post
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :

%postun
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_kde4_bindir}/*
%{_kde4_appsdir}/desktoptheme/
%{_kde4_appsdir}/kget/
%{_kde4_appsdir}/khtml/kpartplugins/kget_plug_in.rc
%{_kde4_appsdir}/kopete*
%{_kde4_appsdir}/kppp/
%{_kde4_appsdir}/krfb/
%{_kde4_appsdir}/krdc/
%{_kde4_appsdir}/zeroconf/
%{_kde4_appsdir}/remoteview/
%{_kde4_datadir}/applications/kde4/*
%{_kde4_datadir}/config.kcfg/*
%{_datadir}/dbus-1/interfaces/*
%{_kde4_datadir}/kde4/services/*
%{_kde4_datadir}/kde4/servicetypes/*
%{_kde4_datadir}/sounds/*
%{_kde4_docdir}/HTML/en/kget/
%{_kde4_docdir}/HTML/en/knewsticker/
%{_kde4_docdir}/HTML/en/kopete/
%{_kde4_docdir}/HTML/en/kppp/
%{_kde4_docdir}/HTML/en/krfb/
%{_kde4_docdir}/HTML/en/krdc/
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_configdir}/kopeterc
%{_kde4_iconsdir}/oxygen/*/*/*
%{_kde4_appsdir}/kconf_update/*
%{_kde4_libdir}/kde4/*

%files libs
%defattr(-,root,root,-)
%{_kde4_libdir}/libqgroupwise.so
%{_kde4_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%{_kde4_includedir}/*
%{_kde4_libdir}/lib*.so
%exclude %{_kde4_libdir}/libqgroupwise.so


%changelog
* Thu Apr 17 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.3-6
- omit BR: xmms-devel, for now, save pulling in xmms-lib, gtk+ lib stack

* Sat Apr 12 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-5
- fix segfault in krdc VNC on remote server disconnection (#442127, kde#160728)

* Thu Apr 03 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-4
- rebuild (again) for the fixed %%{_kde4_buildtype}

* Mon Mar 31 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-3
- rebuild for NDEBUG and _kde4_libexecdir
- drop libidn patch (fixed in libidn)

* Sat Mar 29 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-2
- look for libidn in default path if pkgconfig lies (see #439549) (#439465)

* Fri Mar 28 2008 Than Ngo <than@redhat.com> 4.0.3-1
- 4.0.3
- drop kdenetwork-4.0.2-kopete-crash.patch, it's included in 4.0.3

* Tue Mar 18 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.2-3
- Requires(hint): qca-ossl (kopete/jabber)

* Thu Mar 13 2008 Than Ngo <than@redhat.com> 4.0.2-2
- apply upstream patch to fix crash in kopete

* Thu Feb 28 2008 Than Ngo <than@redhat.com> 4.0.2-1
- 4.0.2

* Fri Feb 01 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.1-2
- enable krfb, BR: libvncserver-devel

* Thu Jan 31 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.1-1
- kde-4.0.1

* Mon Jan 21 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.0-2
- BR: avahi-compat-libdns_sd-devel glib2-devel openslp-devel libxslt-devel xmms-devel

* Tue Jan 08 2008 Rex Dieter <rdieter[AT]fedoraproject.org> 4.0.0-1
- kde-4.0.0

* Fri Dec 14 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.97.0-5
- Obsoletes: -extras ...
- Requires: rdesktop (#420801), for krdc
- Requires: ppp , for kppp
- Requires: jasper , for kopete 

* Wed Dec 12 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-4
- rebuild for changed _kde4_includedir

* Fri Dec 07 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-3
- BR: openldap-devel, it's needed in kopete

* Fri Dec 07 2007 Than Ngo <than@redhat.com> 3.97.0-2
- BR: qimageblitz-devel, it's needed in kopete

* Wed Dec 05 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.97.0-1
- kde-3.97.0

* Wed Dec 05 2007 Than Ngo <than@redhat.com> 3.96.2-2
- fix building kopete

* Sat Dec 01 2007 Sebastian Vahl <fedora@deadbabylon.de> 7:3.96.2-1
- kde-3.96.2

* Sat Nov 24 2007 Sebastian Vahl <fedora@deadbabylon.de> 7:3.96.1-1
- kde-3.96.1

* Sat Nov 17 2007 Sebastian Vahl <fedora@deadbabylon.de> 7:3.96.0-1
- Initial version for Fedora
